function [x] = gaussElim(A,b)
% funkcja GaussElim.m
% rozwiazuje uklad rownan liniowych Ax = b
% metoda eliminacji Gaussa.
% Dane: A - macierz kwadratowa, b' - wspolrzedne wektora  %prawej strony w postaci kolumnowej

N = max(size(A));
for j = 2:N,
    for i=j:N,
        m = A(i,j-1)/A(j-1,j-1);
        A(i,:) = A(i,:) - A(j-1,:)*m;
        b(i) = b(i) - m*b(j-1);
    end
end
%Podstawienie odwrotne
x = zeros(N,1);
x(N) = b(N)/A(N,N);

for j=N-1:-1:1,
    x(j) = (b(j)-A(j,j+1:N)*x(j+1:N))/A(j,j);
end
